Subject: bug#26837: Wrong file in "autoloading failed to define" error

From: Glenn Morris <[email-masked]>
Date: Tue, 09 May 2017 19:49:17 -0400

Eli Zaretskii wrote:

>> -	whole_buffer = (PT == BEG && ZV == Z);
>> +	whole_buffer = (BUF_PT (b) == BUF_BEG (b) && BUF_ZV (b) == BUF_Z (b));
>
> You are saying that set_buffer_internal didn't do its job?  Of that
> the call was bypassed?

When START = nil (eg when called from eval-buffer), set_buffer_internal
is never called.